cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 26392] New: - Cocoon 2.0.4 can not work with tomcat5
Date Sat, 24 Jan 2004 03:54:19 GMT
DO NOT REPLY TO THIS EMAIL, BUT PLEASE POST YOUR BUG 
RELATED COMMENTS THROUGH THE WEB INTERFACE AVAILABLE AT
<http://nagoya.apache.org/bugzilla/show_bug.cgi?id=26392>.
ANY REPLY MADE TO THIS MESSAGE WILL NOT BE COLLECTED AND 
INSERTED IN THE BUG DATABASE.

http://nagoya.apache.org/bugzilla/show_bug.cgi?id=26392

Cocoon 2.0.4 can not work with tomcat5

           Summary: Cocoon 2.0.4 can not work with tomcat5
           Product: Cocoon 2
           Version: 2.0.4
          Platform: PC
        OS/Version: Windows NT/2K
            Status: NEW
          Severity: Normal
          Priority: Other
         Component: core
        AssignedTo: dev@cocoon.apache.org
        ReportedBy: SAsura@163.com


Hi, 


  When I deplory cocoon.war in tomcat 5 I get an exception below: 

java.util.zip.ZipException: invalid EXT descriptor signature 
        at java.util.zip.ZipInputStream.readEnd(ZipInputStream.java:345) 
        at java.util.zip.ZipInputStream.read(ZipInputStream.java:141) 
        at java.util.jar.JarInputStream.read(JarInputStream.java:159) 
        at java.io.BufferedInputStream.read1(BufferedInputStream.java:220) 
        at java.io.BufferedInputStream.read(BufferedInputStream.java:280) 
        at java.util.jar.JarInputStream.getBytes(JarInputStream.java:88) 
        at java.util.jar.JarInputStream.<init>(JarInputStream.java:65) 
        at java.util.jar.JarInputStream.<init>(JarInputStream.java:43) 
        at org.apache.catalina.util.ExtensionValidator.getManifest
(ExtensionValidator.java:420) 
        at org.apache.catalina.util.ExtensionValidator.validateApplication
(ExtensionValidator.java:248) 
        at org.apache.catalina.core.StandardContext.start
(StandardContext.java:4123) 
        at org.apache.catalina.core.ContainerBase.addChildInternal
(ContainerBase.java:866) 
        at org.apache.catalina.core.ContainerBase.addChild
(ContainerBase.java:850) 
        at org.apache.catalina.core.StandardHost.addChild
(StandardHost.java:633) 
        at org.apache.catalina.core.StandardHostDeployer.install
(StandardHostDeployer.java:316) 

I am using 
Tomcat Version Apache Tomcat/5.0.16 
JVM Version 1.4.0_01-b03 
Cocoon Version 2.0.4 
The cocoon I used can work correctly with tomcat 4, why can not it work with 
tomcat5?

Mime
View raw message